	include	"doorsos.h"
	include	"Util.h"
	xdef		_main
	xdef		_ti89



_main:
	move.l	200,a2			;get base of the jump table
	move.l	1700(a2),a2			;get draw string address
	move.w	#2,-(a7)			;large font
	jsr		doorsos::FontSetSys	;set it
	addq.l	#2,a7				;reset the stack
	bsr		Get_key			;idle
	cmpi.w	#272,d0			;see if it was f5
	beq		exit				;if it was then done

	jsr		util::zap_screen		;clear the screen

	move.w	#4,-(a7)			;color
	pea		line1(pc)			;address
	move.l	#15*65536+2,-(a7)		;cordinates
	jsr		(a2)				;display it
	bsr		Get_key2			;idle and wait for the escape key
	addq.l	#8,a7				;get address and cordinates off the stack but not the
							;  color
	pea		line2(pc)
	move.l	#0*65536+25,-(a7)
	jsr		(a2)
	bsr		Get_key2
	addq.l	#8,a7

	pea		line3(pc)
	move.l	#7*65536+50,-(a7)
	jsr		(a2)
	bsr		Get_key2
	addq.l	#8,a7

	pea		line4(pc)
	move.l	#41*65536+80,-(a7)
	jsr		(a2)
	bsr		Get_key2
	lea		10(a7),a7
exit:
	rts

Get_key2:
	bsr		Get_key		;get a key press
	cmpi.w	#264,d0		;is it the escape key?
	bne		Get_key2		;continue till the escape key is pressed
	rts					;return
Get_key:
	jsr		util::idle_loop
	rts





line1:	dc.b	"THIS WAS MADE BY",0
line2:	dc.b	"-THE SECRET SERVICE-",0
line3:	dc.b	"TO DEFEAT TEACHERS",0
line4:	dc.b	"EVERYWHERE!",0

	END		

